JavaEar 专注于收集分享传播有价值的技术资料

centos6.2 64 php-fpm start error

问题描述


英文原文

error message:

/usr/local/php/sbin/php-fpm start /usr/local/php/sbin/php-fpm: symbol lookup error: /usr/local/php/lib/php/extensions/no-debug-non-zts-20100525/imagick.so: undefined symbol: MagickWandGenesis


中文翻译

error message:

/usr/local/php/sbin/php-fpm start /usr/local/php/sbin/php-fpm: symbol lookup error: /usr/local/php/lib/php/extensions/no-debug-non-zts-20100525/imagick.so: undefined symbol: MagickWandGenesis

error message:

/usr/local/php/sbin/php-fpm start /usr/local/php/sbin/php-fpm: symbol lookup error: /usr/local/php/lib/php/extensions/no-debug-non-zts-20100525/imagick.so: undefined symbol: MagickWandGenesis

error message:

/usr/local/php/sbin/php-fpm start /usr/local/php/sbin/php-fpm: symbol lookup error: /usr/local/php/lib/php/extensions/no-debug-non-zts-20100525/imagick.so: undefined symbol: MagickWandGenesis

1个回答

    最佳答案

  1. 英文原文

    This would appear that your Imagick installation is fubar'd. I'd recommend try to re-install this piece of software.

    You can download the Imagick here -> http://pecl.php.net/package/imagick

    1) Untar the file

    2) /path/to/phpize

    3) ./configure \ --with-php-config=/path/to/php-config \ --with-imagick

    4) make && make install

    5) You may need to add extension=imagick.so to your php.ini but it sounds like you may already have this.

    If this does not work for you, you can simply remove the extension=imagick.so from your php.ini and PHP-FPM should start up without any troubles. You just won't have Imagick support until you fix it.


    中文翻译

    This would appear that your Imagick installation is fubar'd. I'd recommend try to re-install this piece of software.

    You can download the Imagick here -> http://pecl.php.net/package/imagick

    1) Untar the file

    2) /path/to/phpize

    3) ./configure \ --with-php-config=/path/to/php-config \ --with-imagick

    4) make && make install

    5) You may need to add extension=imagick.so to your php.ini but it sounds like you may already have this.

    If this does not work for you, you can simply remove the extension=imagick.so from your php.ini and PHP-FPM should start up without any troubles. You just won't have Imagick support until you fix it.